struct nd_hostserv nd_hostserv;   /* host/service name    */
struct nd_addrlist *nd_addrlistp; /* list of addresses    */
struct netconfig *netcfp;         /* has provider info    */
struct netbuf *netbufp;           /* contains one address */
char *u_name;                     /* holds universal addr */
int i,j;                          /* index counters       */

/*
 *   The netcfp variable must first be initialized.
 *   For this example, we can simply call
 *   getnetconfigent(), giving it the name in the
 *   first field of the /etc/netconfig file for TCP/IP.
 */

if ((netcfp = getnetconfigent("tcpip")) == NULL) {
        nc_perror("No information about tcpip");
        exit(1);
}

nd_hostserv.h_host = "frodo";
nd_hostserv.h_serv = "database";

if (netdir_getbyname(netcfp, &nd_hostserv,
                                    &nd_addrlistp) != 0) {
        netdir_perror("No addresses found");
        exit(1);
}
      

netbufp = nd_addrlistp->n_addrs;

printf("Found %d address%s:\n", nd_addrlistp->n_cnt);
                   nd_addrlistp->n_cnt == 1? "" : "es");

for (i = 0; i < nd_addrlistp->n_cnt; i++) {
    /*
     *  Print out the TLI address in hex format.
     */
    printf("TLI address:       ");
    for (j = 0; j < netbufp->len; j++) {
        printf("%.2x", netbufp->buf[j]);
    }
    printf("\n");

    /*
     *  Print out the Universal address.
     */

    printf("Universal address: ");
    if ((u_name = taddr2uaddr(netcfp, netbufp)) == NULL)
              u_name = "unknown";
    printf("%s\n", u_name);

    netbufp++;
}
